
{% extends 'events/base.html' %}
    {% block content %}
    <center> <h1>Sports</h1> <br/> </center>
      <div class="row justify-content-center "> <!-- col d-flex justify-content-center -->
            <br/>
               {% if sport_list %}
                 {% for sport in sport_list %}
                    <div class="card" style="width: 15rem;">
                        <div class="card-body text-center">
                            <h5 class="card-title"><strong>{{ sport }}</strong></h5>
                            {% if sport.description %}
                            <p class="card-text">
                                  <li><strong>Sport Description: </strong>{{ sport.description }}</li>
                            </p>
                            {% endif %}
                            <a href="{% url 'update_sport' sport.id %}" class="btn btn-primary" style ="background-color: #4CAF50; border-color: #4CAF50">Update</a>
                            <a href="{% url 'delete_sport' sport.id %}" class="btn btn-primary" style ="background-color: #f44336; border-color: #f44336">Delete</a>
                        </div>
                    </div>
                {% endfor %}
                {% else %}
                    <div class="card" style="width: 35rem;">
                        <div class="card-body">
                                <h5 class="card-title"><strong>No Sports are available.</strong></h5>
                                <p class="card-text">
                                </p>
                                Add a Sport here:
                                <a href="{% url 'add_sport' %}" class="btn btn-primary">New Sport</a>
                        </div>
                    </div>
                    <p></p>
                {% endif %}
            </div>
        </div>
    {% endblock %}
